## org.red5.server.api
Interface IScopeResolver

All Known Implementing Classes:
  ScopeResolver

    public interface IScopeResolver

Resolve the scope from given a host and path. Resolver implementations depend on context naming strategy and so forth.

Method Summary
`IGlobalScope` `getGlobalScope()` Return the global scope.
`IScope` `resolveScope(IScope root, String path)` Get the scope for a given path from a root scope.
`IScope` `resolveScope(String path)` Get the scope for a given path.

Method Detail

### getGlobalScope

    IGlobalScope getGlobalScope()

  Return the global scope.

  Returns:
    Global scope

### resolveScope

    IScope resolveScope(String path)

  Get the scope for a given path.

  Parameters:
    `path` - Path to return the scope for
  Returns:
    Scope for passed path
  Throws:
    `ScopeNotFoundException` - If scope doesn't exist an can't be created

### resolveScope

    IScope resolveScope(IScope root,
                        String path)

  Get the scope for a given path from a root scope.

  Parameters:
    `root` - The scope to start traversing from.
    `path` - Path to return the scope for.
  Returns:
    Scope for passed path.

Copyright © 2006-2010 The Red5 Project